Name:           makehuman
Version:        0.9.1
Release:        0.3.rc1a%{?dist}
Summary:        Modeling of three-dimensional humanoid characters

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://www.dedalo-3d.com
Source0:        http://downloads.sourceforge.net/makehuman/makehuman-%{version}-rc1a.tar.gz
Patch0:         makehuman-0.9.1-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mhgui-devel >= 0.2
BuildRequires:  desktop-file-utils
BuildRequires:  libXmu-devel
BuildRequires:  libXi-devel

%description
MakeHuman(C) is an open-source, open graphics library, stand-alone,
multi-platform, software program, which is completely written in 
C++ language. Its purpose is to provide a versatile, professional
and extremely specialized application for parametrical modeling of
three-dimensional humanoid characters.


%prep
%setup -q -n %{name}-%{version}-rc1a
%patch0 -p1 -b .gcc43
chmod 0644 src/*

sed -i.timestamp -e 's|cp --parents|cp -p --parents|g' {data,pixmaps}/Makefile.{am,in}

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# Removes doc
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

# Symlink for pixmap
ln -s %{name}/bsimg/characters1/bodybuilder_man01.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

cat > %{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=MakeHuman
Comment=Design characters
Comment[fr]=Modéliser des personnages
Exec=makehuman
Terminal=false
Icon=makehuman
Type=Application
Categories=Graphics;
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora                    \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  %{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.txt TODO
%{_bindir}/makehuman
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}/
%{_datadir}/applications/*.desktop


%changelog
* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 0.9.1-0.3.rc1a
- Rebuild for gcc43

* Wed Jan  9 2008 kwizart < kwizart at gmail.com > - 0.9.1-0.2.rc1a
- Add missing BR

* Fri Jan  4 2008 kwizart < kwizart at gmail.com > - 0.9.1-0.1.rc1a
- Update to rc1a
- License is now GPLv3+
- gcc43 fixes

* Fri Sep 21 2007 kwizart < kwizart at gmail.com > - 0.9-3
- Add pixmap for .desktop
- Remove Category Application
- License is GPLv2+

* Thu Sep 20 2007 kwizart < kwizart at gmail.com > - 0.9-2
- Fix timestamp
- Drop update-desktop-database
- Remove zero-length files

* Fri Jul 20 2007 kwizart < kwizart at gmail.com > - 0.9-1
- Initial spec file for Fedora 
